authority:
  privilege:
    type: ALL_PRIVILEGES_PERMITTED
  users:
    - user: root
      password: Apurelove9014
props:
  proxy-default-port: 3307
  sql-show: true
  proxy-frontend-database-protocol-type: MySQL
  max-connections-size-per-query: 1
mode:
  type: Standalone
sqlTranslator:
  type: Custom
  useOriginalSQLWhenTranslatingFailed: true
rules:
  - !SQL_MONITOR_CONFIG
    handles:
      - type: OpenSearch
        enable: true
        props:
          uris: "http://opensearch-cluster-master.opensearch:9201"
          username: ""
          password: ""
  - !TRANSLATOR_CONFIG
    compatibleV1: true